Bug 457177 - Remove deprecated user account privilege "Customer Lookups"
Remove deprecated user account privilege "Customer Lookups"
Status: CLOSED CURRENTRELEASE
Product: Issue-Tracker
Classification: Retired
Component: User Interface (Show other bugs)
MR12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lisa Lu
Nicole Yancey
:
Depends On:
Blocks: 507385
  Show dependency treegraph
 
Reported: 2008-07-29 21:45 EDT by Gary Case
Modified: 2009-07-27 08:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 08:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Case 2008-07-29 21:45:48 EDT
Description of problem:
The user account privilege "Customer Lookups" is no longer used. The features it
once enabled have been removed due to security vulnerabilities, leaving this
privilege unnecessary. Please remove it.
Comment 1 Mike Amburn 2008-10-30 14:43:00 EDT
Two tasks:
- remove the option from the UI
- remove the associations in the database
Comment 2 Lisa Lu 2009-07-08 14:08:31 EDT
per tmirc, we are only doing code changes in this release.

Lisa
Comment 3 Lisa Lu 2009-07-08 14:09:03 EDT
Nicole,

code change pushed on DEV

Lisa
Comment 4 Nicole Yancey 2009-07-09 09:01:38 EDT
verified on http://cspserver2.app.dev.redhat.com 

Steps to Reproduce:
1. Log in to Issue Tracker as an administrator
2. Go to Users > View User "$username"
3. View the contents of the Privileges list. 
  
Actual results:
Customer Lookups
Manager
RHN Help


Expected Result:
Manager
Comment 5 Nicole Yancey 2009-07-09 10:52:32 EDT
(In reply to comment #4)
> verified on http://cspserver2.app.dev.redhat.com 
> 
> Steps to Reproduce:
> 1. Log in to Issue Tracker as an administrator
> 2. Go to Users > View User "$username"
> 3. View the contents of the Privileges list. 
> 
> Actual results:
> Customer Lookups
> Manager
> RHN Help
> 
> 
> Expected Result:
> Manager  

No longer see 2 hotlinks in left navigation bar: Customer Lookup and Track Customer
Comment 6 Nicole Yancey 2009-07-14 15:52:02 EDT
verified on http://enterprise.webqa.redhat.com/issue-tracker
Comment 7 Nicole Yancey 2009-07-16 16:08:55 EDT
verified on https://enterprise.stage.redhat.com/issue-tracker
Comment 8 Nicole Yancey 2009-07-27 08:41:39 EDT
Released to Production 7/25

Note You need to log in before you can comment on or make changes to this bug.